‘Pokemon Go’ Update: Fix the Error ‘Device Is Not Compatible’


Several Pokemon Go players are encountering an error “device not compatible” after updating the game to the 0.37.0 version. If you’re getting this message and aren’t sure why, there are a few things that you could be triggering the error message.


Here's what you need to know.

  • You're seeing the message because you’re using a rooted phone on Android or a jailbroken phone on iOS.
  • You're seeing this message if you have a custom ROM.
  • Even if you disable the root, if you still have CyanogenMod on your phone, you’ll still get the error message.
Apparently all rooted devices and devices with custom ROMs loaded are getting this error message. 

Here's what you need to do:
  • Unroot your phone and possibly even delete any custom ROM in order to get rid of the error message on Pokemon Go and use a program like Magisk to toggle off the root.
  • Other patches or fixes you can try are Masterball from Cokepokes or PokePatch. But like the other workarounds, these may not fix the problem.
  • Bypass the error by downloading the update from APKMirror, but this method isn’t working for everyone.
Note: Cloaking or masking the root, such as using tsProtector8 for iOS or RootCloakPlus for Android, isn’t enough to fix the problem. 

If you don’t want to mess with any of this, then you can stay with the previous version and not upgrade Pokemon Go. However, this is only a temporary fix. Before long, typically in about two weeks, you’ll be locked out of the game if you don’t update.

Sources: Heavy, Reddit, Youtube
‘Pokemon Go’ Update: Fix the Error ‘Device Is Not Compatible’ ‘Pokemon Go’ Update: Fix the Error ‘Device Is Not Compatible’ Reviewed by Pokemon Go Philippines on 08:40:00 Rating: 5
Powered by Blogger.